#' Implementation of BDAT Tree Taper Fortran Functions
#'
#' Implementing the BDAT tree taper Fortran routines, which were
#' developed for the German National Forest Inventory (NFI), to calculate
#' diameters, volume, assortments, double bark thickness and biomass for
#' different tree species based on tree characteristics and sorting information.
#'
#' @name rBDAT-package
#' @aliases rBDAT-package
#' @docType package
#' @references Kublin E. (2003): Einheitliche Beschreibung der Schaftform –
#' Methoden und Programme – BDATPro. Forstw. Cbl. 122, 183–200,
#' \url{https://link.springer.com/article/10.1046/j.1439-0337.2003.00183.x}
#'
#' Kublin E., Scharnagl. G. (1988): Verfahrens- und
#' Programmbeschreibung zum BWI-Unterprogramm BDAT: Abschlußbericht zum
#' Forschungsauftrag: "Biometrische Lösungen für die Berechnung des Volumens,
#' der Sortierung, der Rindenabzüge und der Ernteverluste im Rahmen der
#' Bundeswaldinventur". ISSN: 0178-3165. Available at
#' \url{https://gitlab.com/vochr/rbdat/-/blob/master/bdatdocs/}
#' @keywords package
"_PACKAGE"
